Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8255 - Cannot execute ip-up for dialin server
Summary: Cannot execute ip-up for dialin server
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ppp
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-07 03:35 UTC by rbiern01
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-20 01:11:11 UTC


Attachments (Terms of Use)

Description rbiern01 2000-01-07 03:35:26 UTC
I'm not sure if this is affecting anything cause I think everything still
appears to work, but I hate seeing errors in the log.

When someone dials in and mgetty correctly starts pppd but I get some
errors in the log saying "ip-up couldnt be started". I also get "ip-down
couldnt be started" when the modem that has dialed in hangs up.

Here is part of the messages file

Jan  7 14:32:05 celcius kernel: CSLIP: code copyright 1989 Regents of the
University of California
Jan  7 14:32:05 celcius kernel: PPP: version 2.3.3 (demand dialling)
Jan  7 14:32:05 celcius kernel: PPP line discipline registered.
Jan  7 14:32:05 celcius kernel: registered device ppp0
Jan  7 14:32:06 celcius kernel: ppp_ioctl: set dbg flags to 70000
Jan  7 14:32:06 celcius kernel: ppp_ioctl: set flags to 70000
Jan  7 14:32:06 celcius kernel: ppp_tty_ioctl: set xasyncmap
Jan  7 14:32:06 celcius kernel: ppp_tty_ioctl: set xmit asyncmap ffffffff
Jan  7 14:32:06 celcius kernel: ppp_ioctl: set flags to 70000
Jan  7 14:32:06 celcius kernel: ppp_ioctl: set mru to 5dc
Jan  7 14:32:06 celcius kernel: ppp_tty_ioctl: set rcv asyncmap ffffffff
Jan  7 14:32:05 celcius pppd[2231]: pppd 2.3.7 started by a_ppp, uid 0
Jan  7 14:32:05 celcius pppd[2231]: Removed stale lock on ttyS1 (pid 2231)
Jan  7 14:32:06 celcius pppd[2231]: Using interface ppp0
Jan  7 14:32:06 celcius pppd[2231]: Connect: ppp0 <--> /dev/ttyS1
Jan  7 14:32:06 celcius kernel: ppp_ioctl: set flags to 70000
Jan  7 14:32:09 celcius kernel: ppp_tty_ioctl: set xmit asyncmap 0
Jan  7 14:32:09 celcius kernel: ppp_ioctl: set flags to f070003
Jan  7 14:32:09 celcius kernel: ppp_ioctl: set mru to 5dc
Jan  7 14:32:09 celcius kernel: ppp_tty_ioctl: set rcv asyncmap 0
Jan  7 14:32:09 celcius kernel: ppp_ioctl: set flags to f070003
Jan  7 14:32:09 celcius kernel: ppp_ioctl: set flags to f070043
Jan  7 14:32:09 celcius kernel: PPP BSD Compression module registered
Jan  7 14:32:09 celcius kernel: PPP Deflate Compression module registered
Jan  7 14:32:09 celcius pppd[2231]: CHAP peer authentication succeeded for
**************
Jan  7 14:32:12 celcius kernel: ppp_ioctl: set flags to f070003
Jan  7 14:32:14 celcius kernel: ppp_ioctl: set maxcid to 12
Jan  7 14:32:14 celcius kernel: ppp_ioctl: set flags to f070007
Jan  7 14:32:14 celcius pppd[2231]: found interface eth0 for proxy arp
Jan  7 14:32:14 celcius pppd[2231]: local  IP address 172.22.250.9
Jan  7 14:32:14 celcius pppd[2231]: remote IP address 172.22.250.40
Jan  7 14:32:14 celcius pppd[2231]: Can't execute /etc/ppp/ip-up: Invalid
argument
Jan  7 14:32:15 celcius kernel: ppp_ioctl: set flags to f07000b
Jan  7 14:32:15 celcius pppd[2231]: Can't execute /etc/ppp/ip-down: Invalid
argument
Jan  7 14:32:19 celcius kernel: ppp_ioctl: set maxcid to 12
Jan  7 14:32:19 celcius kernel: ppp_ioctl: set flags to f070007
Jan  7 14:32:19 celcius pppd[2231]: found interface eth0 for proxy arp
Jan  7 14:32:19 celcius pppd[2231]: local  IP address 172.22.250.9
Jan  7 14:32:19 celcius pppd[2231]: remote IP address 172.22.250.40
Jan  7 14:32:19 celcius pppd[2231]: Can't execute /etc/ppp/ip-up: Invalid
argument
Jan  7 14:32:41 celcius kernel: 20 20 20 20 20 20 20

I am not sure wether this is normal or not but since I'm still in testing
and have the kdebug turned up pretty high I get quite a bit of stuff in the
log.

Here is one of my options.ttySx files that contain all the options pppd is
started with except kdebug

-detach
ttyS0 57600 crtscts
auth
debug
bsdcomp 12
deflate 12
vj-max-slots 12
require-chap
nodefaultroute
lock
:172.22.250.39
proxyarp
idle 900
ms-dns 172.22.250.10
ms-dns 172.22.250.11

Thanks

Comment 1 Nalin Dahyabhai 2000-01-17 17:29:59 UTC
Please upgrade to the newest ppp and initscripts packages, and let me know
if this continues to be a problem.
http://www.redhat.com/support/errata/RHSA1999052-04.html
http://www.redhat.com/support/errata/RHEA1999051-01.html

Comment 2 rbiern01 2000-01-18 01:25:59 UTC
I downloaded the new update to the init scripts but it is for people running
RedHat 6.1 not 6.0 and I get dependecy errors when I try and install it. I PPP
though and I still get the error though.

Comment 3 Nalin Dahyabhai 2000-01-19 15:11:59 UTC
From my reading of the pppd(8) man page, it looks like the -detach
flag is invalid because it is the default.

Comment 4 Nalin Dahyabhai 2000-01-20 01:11:59 UTC
My mistake.  The -detach option is apparently fine, as we add it in our init
scripts.  The call to syslog() with the error you're seeing happens after a
failed execve() call, where according to its man page the error indicates:
       EINVAL  An ELF executable had more than one PT_INTERP seg-
               ment (i.e., tried to name  more  than  one  inter-
               preter).

Do the ip-up and ip-down scripts exist?  If so, have they been modified from
the defaults included in the initscripts package?

Comment 5 Brent Fox 2002-06-05 15:52:26 UTC
Closing due to old age.


Note You need to log in before you can comment on or make changes to this bug.